

.emp-container{
    padding: 10px 20px 20px;
    border-radius: 10px;
    background-color: #f4f5f6;
    box-shadow: 2px 4px 35px rgb(0 0 0 / 5%);
    margin: 20px;
    transform: translateY(-150px);

    .icon-div {
        display: flex;
        align-items: center;
        margin-left: 15px;
        cursor: pointer;
    }

    .justify-end {
        display: flex;
        justify-content: end;
    }
    
    .icons-pack{
        vertical-align: middle;
        display: flex;
        align-items: center;
        gap: 20px;
        i,span{
            transition: all 0.25s ease;
            &:hover{
                transform: translateY(-2px);
            }
        }
    }
    .emp-table{
        width: 100%;
    }
    .edit-icon{
        cursor:pointer;
        color: #395A41;  
        font-size: 25px;  
    }
    .list-icon{
        cursor:pointer;
        color: #25A3FD;
        font-size: 25px;
    }
    .delete-icon{
        cursor:pointer;
        color: #D13147;
        font-size: 25px;
    }

    .emp-table{
        ::ng-deep.mat-cell{
            cursor:pointer
        }
    }
    ::ng-deep {
        .mat-card{
            padding: 0;
            background-color: #f4f5f6;
            box-shadow: none;
        }
        .mat-ink-bar{
            background-color: #395A41;
        }
        .mat-tab-label-active{
            color: #395A41;
            font-weight: 600;
            opacity: 1;
            letter-spacing: 0.5px;
            transition: all 0.25s ease;
        }
        .mat-table{
            table-layout: fixed;
            background-color: transparent;
            tr{
                th{
                    font-weight: 500;
                    font-size: 15px;
                }
                &:last-child{
                    td{
                        border-bottom: none;
                    }
                }
            }
        }
    }
}